org.eclipse.actf.visualization.engines.blind.html.ui.elementViewer

## Interface IElementViewerInfoProvider

    public interface IElementViewerInfoProvider

Interface to add information to element information viewer. Contributers need to register the instance to org.eclipse.actf.visualization.engines.blind.html.elementInfoProvider extension point.

### Method Summary

Methods
`IElementViewerAccessKeyInfo` `getAccessKeyInfo(String accessKey)`
`Enumeration<String>` `getCategories()`
`IElementViewerIdInfo` `getIdInfo(String id)`

### Method Detail

#### getCategories

    Enumeration<String> getCategories()

Returns:
  categories of IDs

#### getIdInfo

    IElementViewerIdInfo getIdInfo(String id)

Parameters:
  `id` - target ID
Returns:
  ID information

#### getAccessKeyInfo

    IElementViewerAccessKeyInfo getAccessKeyInfo(String accessKey)

Parameters:
  `accessKey` - target accesskey
Returns:
  accesskey information